@ECHO OFF
SETLOCAL

IF NOT EXIST Sigcheck.exe GOTO noSigcheck

SET _F=%TEMP%\SigcheckResults.csv

IF EXIST "%_F%" DEL "%_F%"

REM Find out which option to use for CSV.
REM Sigcheck 1.92 and earlier use /v for CSV.
REM Sigcheck 2.20 and later use /c for CSV.
Sigcheck 2> NUL | FIND "-v     Csv output" > NUL
IF NOT ERRORLEVEL 1 GOTO olderSigcheck
Sigcheck 2> NUL | FIND "-c      CSV output" > NUL
IF NOT ERRORLEVEL 1 GOTO newerSigcheck

ECHO Unsupported version of Sigcheck!
GOTO seeReadme

:olderSigcheck
SET _CSV=v
GOTO sigcheckOK

:newerSigcheck
SET _CSV=c

:sigcheckOK
TITLE Checking signatures of downloaded updates
ECHO Please wait a few minutes...

REM Run Sigcheck for each of the two directories containing updates and output
REM the results into a CSV file.
FOR %%i IN (Exceptional PostSP2) DO Sigcheck /e /q /s /%_CSV% %%i >> "%_F%"

Check2.vbs "%_F%"

GOTO eof

:noSigcheck
ECHO Please download Sigcheck from Microsoft first and place it in this folder!
:seeReadme
ECHO See Readme.txt for more information.
ECHO.
PAUSE

:eof